Subject: Re: [PATCH 2/3] setup_pager: set MORE=R

From: Junio C Hamano <[email-masked]>
Date: Tue, 04 Feb 2014 14:17:57 -0800

Jeff King <[email-masked]> writes:

> But there's another set of people that I was intending to help with the
> patch, which is people that have set up LESS, and did not necessarily
> care about the "R" flag in the past (e.g., for many years before git
> came along, I set LESS=giM, and never even knew that "R" existed). Since
> git comes out of the box these days with color and the pager turned on,
> that means people with such a setup see broken output from day one.
>
> And I think it is Git's fault here, not the user or the packager.

I am not particularly itnterested in whose fault it is ;-)  If the
user sets LESS himself, he knows how to set it (and if he is setting
it automatically for all of his sessions, he knows where to do so),
and would know better than Git about "less", his pager of choice.

If he did not know about R and did not see color, that is even
better.  Now he knows and his update to his LESS settings will let
him view colors in outputs from programs that are not Git.

> So I think there is nothing to be done.  But I did want to mention it in
> case somebody else can come up with some clever solution. :)

Sure.